Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDataArrayCollection Class Reference

`#include <vtkDataArrayCollection.h>`

Inheritance diagram for vtkDataArrayCollection:

[legend]
Collaboration diagram for vtkDataArrayCollection:

[legend]
List of all members.

## Detailed Description

maintain an unordered list of dataarray objects

Date:
  2002/12/26 18:24:21

Revision:
  1.2

vtkDataArrayCollection is an object that creates and manipulates lists of datasets. See also vtkCollection and subclasses.

Created by:
  - Geveci, Berk

CVS contributions (if > 5%):
  - Geveci, Berk (94%)
  - Cedilnik, Andy (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkDataArrayCollection.cxx)`
  - .`h` (`/Common/vtkDataArrayCollection.h)`

Definition at line 44 of file vtkDataArrayCollection.h.

## Public Types
typedef vtkCollection | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | AddItem (vtkDataArray *ds)
vtkDataArray * | GetNextItem ()
vtkDataArray * | GetItem (int i)
## Static Public Methods
vtkDataArrayCollection * | New ()
int | IsTypeOf (const char *type)
vtkDataArrayCollection * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkDataArrayCollection ()
| ~vtkDataArrayCollection ()

## Member Typedef Documentation

typedef vtkCollection vtkDataArrayCollection::Superclass

| Reimplemented from vtkCollection. Definition at line 48 of file vtkDataArrayCollection.h.

## Constructor & Destructor Documentation

vtkDataArrayCollection::vtkDataArrayCollection | ( |  | ) | `[inline, protected]`

| Definition at line 69 of file vtkDataArrayCollection.h.

vtkDataArrayCollection::~vtkDataArrayCollection | ( |  | ) | `[inline, protected]`

| Definition at line 70 of file vtkDataArrayCollection.h.

## Member Function Documentation

vtkDataArrayCollection* vtkDataArrayCollection::New | ( |  | ) | `[static]`

| Construct with empty list. Reimplemented from vtkCollection.

virtual const char* vtkDataArrayCollection::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCollection.

int vtkDataArrayCollection::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

virtual int vtkDataArrayCollection::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

vtkDataArrayCollection* vtkDataArrayCollection::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCollection.

void vtkDataArrayCollection::AddItem | ( | vtkDataArray * | ds | ) | `[inline]`

| Add a dataset to the list. Definition at line 52 of file vtkDataArrayCollection.h. References vtkCollection::AddItem().

vtkDataArray* vtkDataArrayCollection::GetNextItem | ( |  | ) | `[inline]`

| Get the next dataset in the list. Definition at line 58 of file vtkDataArrayCollection.h. References vtkCollection::GetNextItemAsObject().

vtkDataArray* vtkDataArrayCollection::GetItem | ( | int | i | ) | `[inline]`

| Get the ith dataset in the list. Definition at line 64 of file vtkDataArrayCollection.h. References vtkCollection::GetItemAsObject().

The documentation for this class was generated from the following file:

- Common/vtkDataArrayCollection.h